#ifndef cler_h_
#define cler_h_

#include "empl41.h"

class Cler : public Empl {
    char skills[40];	// Skill list
    int wpm;		// Typing speed
    void InitCler();	// Private 'cuz no derived classes should ever use
  protected:
    void _print();	// Prints all data fields w/o commentary
  public:
    Cler() : Empl()	{ InitCler(); }
    Cler(const char *fn, const char *ln);
    void Print();	// Prints all data fields w/ commentary

    // Define the functions for Get()ing and Set()ing the new fields.
    void SetSkills(const char *sk) { strncpy(skills, sk, sizeof(skills)-1); }
    void SetSpeed(int speed)	{ wpm = speed; }

    const char* GetSkills()	{ return skills; }
    int         GetSpeed()	{ return wpm; }
};

#endif // cler_h_
