#ifndef tech_h_
#define tech_h_

#include "empl41x.h"

class Tech : public Empl {
    char type[10];	// Category
    int educ;		// Amount of education
    void InitTech();	// Private 'cuz no derived classes should ever use
  protected:
    void _print();	// Prints all data fields w/o commentary
  public:
    Tech() : Empl()	{ InitTech(); }
    Tech(const char *fn, const char *ln);
    ~Tech()		{ }
    void Print();	// Prints all data fields w/ commentary

    // Define the functions for Get()ing and Set()ing the new fields.
    void SetType(const char *ty) { strncpy(type, ty, sizeof(type)-1); }
    void SetEduc(int ed)	 { educ = ed; }

    const char* GetType()	{ return type; }
    int         GetEduc()	{ return educ; }
};

#endif // tech_h_
